"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NestjsBootstrapModule = void 0;
const common_1 = require("@nestjs/common");
const core_1 = require("./modules/core");
const health_module_1 = require("./modules/health/health.module");
function NestjsBootstrapModule(options) {
    const { bootstrapOptions, ...moduleOptions } = options;
    return (0, common_1.Module)({
        ...moduleOptions,
        imports: [
            ...(moduleOptions.imports ?? []),
            core_1.CoreModule.register(bootstrapOptions),
            health_module_1.HealthModule,
        ],
    });
}
exports.NestjsBootstrapModule = NestjsBootstrapModule;
//# sourceMappingURL=app.module.js.map