import { HealthCheckService } from '@nestjs/terminus';
import { BootstrapOptions } from "../../core/interface";
import { CustomHealthIndicatorService } from "../services";
export declare class HealthController {
    private health;
    private customHealthIndicatorService;
    private readonly bootstrapOptions;
    constructor(health: HealthCheckService, customHealthIndicatorService: CustomHealthIndicatorService, bootstrapOptions: BootstrapOptions);
    check(): Promise<import("@nestjs/terminus").HealthCheckResult>;
}
