"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var CoreModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.CoreModule = void 0;
const common_1 = require("@nestjs/common");
const async_context_1 = require("@nestjs-steroids/async-context");
const middlewares_1 = require("./middlewares");
const services_1 = require("./services");
const filters_1 = require("./filters");
const tokens_1 = require("./tokens");
let CoreModule = CoreModule_1 = class CoreModule {
    static register(bootstrapOptions) {
        return {
            module: CoreModule_1,
            global: true,
            exports: [
                tokens_1.CONFIG_TOKEN,
                tokens_1.BOOTSTRAP_OPTIONS_TOKEN,
                services_1.RootLogger,
                services_1.RequestLogger,
                filters_1.ValidationPipe,
                middlewares_1.ContextInterceptor,
            ],
            providers: [
                {
                    provide: tokens_1.CONFIG_TOKEN,
                    useValue: bootstrapOptions.config,
                },
                {
                    provide: tokens_1.BOOTSTRAP_OPTIONS_TOKEN,
                    useValue: bootstrapOptions,
                },
                services_1.RootLogger,
                services_1.RequestLogger,
                filters_1.ValidationPipe,
                middlewares_1.ContextInterceptor,
            ],
            imports: [async_context_1.AsyncContextModule.forRoot()],
        };
    }
};
CoreModule = CoreModule_1 = __decorate([
    (0, common_1.Module)({})
], CoreModule);
exports.CoreModule = CoreModule;
//# sourceMappingURL=core.module.js.map