import { ArgumentsHost, ExceptionFilter } from '@nestjs/common';
import { AbstractHttpAdapter, HttpAdapterHost } from '@nestjs/core';
import { RootLogger } from '../services';
export declare class AllExceptionsFilter implements ExceptionFilter {
    private readonly logger;
    httpAdapter: AbstractHttpAdapter;
    constructor(httpAdapterHost: HttpAdapterHost, logger: RootLogger);
    catch(exception: Error, host: ArgumentsHost): void;
    private static getRequestAndResponse;
    private formatErrors;
}
